#########################################################################################################
# Creating dataset for double coding of functions and the therapeutic frameworks that they belong to. 
# 2018 TUDelft
# Author: Franziska Burger
# Date: 05 February
# Output files: coding_file_therapy_mapping_empty.txt
# Required: ehealth4mdd database
# #########################################################################################################

#set working directory to current directory
setwd(".")


################################# libraries
require(foreign)
require(car)
require(RMySQL)

########################################################################### DATA ###################

########## input: 
# - components table of ehealth4mdd database
# Contains information on the possible functionalities of systems in the domain

# For more details please visit the database website.

########## output: 
# - coding_file_therapy_mapping_empty.txt
# List of all possible intervention functions

#connecting to the ehealth4mdd database
u <- 'root'
p <- 'insy'
n <- 'ehealth4mdd'
h <- 'localhost'
ehealthdb = dbConnect(MySQL(), user=u, password=p, dbname=n, host=h)

#querying the components table for intervention components (i.e. components that have associated therapeutic framework)
query_RQ1 = dbSendQuery(ehealthdb, 'select FunctionKey, FunctionType from Function where Function.FunctionType=\'Intervention\';')
df.components <- fetch(query_RQ1,n=-1)

write.table(df.components, "coding_file_therapy_mapping_empty.txt", sep="\t")
